Skip to main content
GET
Get all my orders

Query Parameters

currency
enum<string>

Currency of the order

Available options:
CASH,
COIN
status
string

Status of the order

limit
integer
default:100

Number of orders to return (max 256, default 100)

Required range: x <= 256
offset
integer

Offset of the orders to return

beg
string<date-time>

Beginning timestamp for filtering orders (UTC)

end
string<date-time>

End timestamp for filtering orders (UTC)

marketStatus
enum<string>

Market status of the order

Available options:
OPEN,
CLOSED,
SETTLED
outcomeStatus
enum<string>

Outcome status of the order

Available options:
TBD,
WIN,
LOSS,
PUSH

Response

Successfully retrieved all orders for the user

id
string

The unique identifier of the order

Example:

"123e4567-e89b-12d3-a456-426614174002"

outcomeId
string

The ID of the outcome associated with this order

Example:

"123e4567-e89b-12d3-a456-426614174000"

marketId
string

The ID of the market associated with this order

Example:

"123e4567-e89b-12d3-a456-426614174003"

price
number

The limit price at which the order is placed

Example:

0.125

qty
number

The remaining quantity of the order, denominated in Minimum Currency Units

Example:

4200

originalQty
number

The original quantity of the order, denominated in Minimum Currency Units

Example:

4200

currency
string

The currency in which the order is denominated

Example:

"COIN"

timestamp
string

The timestamp when the order was placed

Example:

"2023-10-05T12:00:00Z"

status
string

The current status of the order

Example:

"FILLED"

flags
string

The trader-specified metadata associated with the order

Example:

"ABC12345"